VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Datacenter::Info Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Datacenter::Info:

## Avaliable Methods
public method | set_host_folder ()
public method | get_host_folder ()
public method | set_name ()
public method | set_network_folder ()
public method | get_network_folder ()
public method | get_vm_folder ()
public method | new ()
public method | get_datastore_folder ()
public method | set_vm_folder ()
public method | get_name ()
public method | set_datastore_folder ()

## Detailed Description

The `Com::Vmware::Vcenter::Datacenter::Info` class contains information about a datacenter in vCenter Server.

## Member Function Documentation

public method Com::Vmware::Vcenter::Datacenter::Info::get_datastore_folder | ( |  | ) |

Gets the value of 'datastore_folder' property.

Return values

  datastore_folder | - The current value of the field. The root datastore folder associated with the datacenter. ID#

Code:
click to view
# Number of lines of code in get_datastore_folder: 4
sub get_datastore_folder {
my ($self, %args) = @_;
return $self->{'datastore_folder'};
}

public method Com::Vmware::Vcenter::Datacenter::Info::get_host_folder | ( |  | ) |

Gets the value of 'host_folder' property.

Return values

  host_folder | - The current value of the field. The root host and cluster folder associated with the datacenter. ID#

Code:
click to view
# Number of lines of code in get_host_folder: 4
sub get_host_folder {
my ($self, %args) = @_;
return $self->{'host_folder'};
}

public method Com::Vmware::Vcenter::Datacenter::Info::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. The name of the datacenter. String#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Vcenter::Datacenter::Info::get_network_folder | ( |  | ) |

Gets the value of 'network_folder' property.

Return values

  network_folder | - The current value of the field. The root network folder associated with the datacenter. ID#

Code:
click to view
# Number of lines of code in get_network_folder: 4
sub get_network_folder {
my ($self, %args) = @_;
return $self->{'network_folder'};
}

public method Com::Vmware::Vcenter::Datacenter::Info::get_vm_folder | ( |  | ) |

Gets the value of 'vm_folder' property.

Return values

  vm_folder | - The current value of the field. The root virtual machine folder associated with the datacenter. ID#

Code:
click to view
# Number of lines of code in get_vm_folder: 4
sub get_vm_folder {
my ($self, %args) = @_;
return $self->{'vm_folder'};
}

public method Com::Vmware::Vcenter::Datacenter::Info::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Datacenter::Info structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 24
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{name} = $args{'name'};
$self->{datastore_folder} = $args{'datastore_folder'};
$self->{host_folder} = $args{'host_folder'};
$self->{network_folder} = $args{'network_folder'};
$self->{vm_folder} = $args{'vm_folder'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Datacenter::Info');
$self->set_binding_name('name' => 'com.vmware.vcenter.datacenter.info');
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'datastore_folder', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'host_folder', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'network_folder', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'vm_folder', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Datacenter::Info::set_datastore_folder | ( |  | ) |

Sets the given value for 'datastore_folder' property.

Parameters

  datastore_folder | - New value for the field. The root datastore folder associated with the datacenter.

Code:
click to view
# Number of lines of code in set_datastore_folder: 5
sub set_datastore_folder {
my ($self, %args) = @_;
$self->{'datastore_folder'} = $args{'datastore_folder'};
return;
}

public method Com::Vmware::Vcenter::Datacenter::Info::set_host_folder | ( |  | ) |

Sets the given value for 'host_folder' property.

Parameters

  host_folder | - New value for the field. The root host and cluster folder associated with the datacenter.

Code:
click to view
# Number of lines of code in set_host_folder: 5
sub set_host_folder {
my ($self, %args) = @_;
$self->{'host_folder'} = $args{'host_folder'};
return;
}

public method Com::Vmware::Vcenter::Datacenter::Info::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. The name of the datacenter.

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

public method Com::Vmware::Vcenter::Datacenter::Info::set_network_folder | ( |  | ) |

Sets the given value for 'network_folder' property.

Parameters

  network_folder | - New value for the field. The root network folder associated with the datacenter.

Code:
click to view
# Number of lines of code in set_network_folder: 5
sub set_network_folder {
my ($self, %args) = @_;
$self->{'network_folder'} = $args{'network_folder'};
return;
}

public method Com::Vmware::Vcenter::Datacenter::Info::set_vm_folder | ( |  | ) |

Sets the given value for 'vm_folder' property.

Parameters

  vm_folder | - New value for the field. The root virtual machine folder associated with the datacenter.

Code:
click to view
# Number of lines of code in set_vm_folder: 5
sub set_vm_folder {
my ($self, %args) = @_;
$self->{'vm_folder'} = $args{'vm_folder'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Datacenter.pm